質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

解決済

pythonのversionの下げ方

masamichan
masamichan

総合スコア29

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

1回答

-1評価

0クリップ

433閲覧

投稿2022/02/10 01:35

編集2022/02/10 14:18

現在、python3.9.7を利用しているのですが、python 3.6.1に下げたいです。
やったこととしては、

$pyenv install 3.6.1

と打ちました。
しかし、このようなエラー文が出てしまい、installに失敗してしまいます。

BUILD FAILED (OS X 12.2 using python-build 20180424) Inspect or clean up the working tree at /var/folders/fk/wk_dybb523xdjhh0jm4934wc0000gn/T/python-build.20220210102502.32214 Results logged to /var/folders/fk/wk_dybb523xdjhh0jm4934wc0000gn/T/python-build.20220210102502.32214.log Last 10 log lines: ^ clang -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/include -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -I. -I./Include -I/usr/local/opt/readline/include -I/usr/local/opt/readline/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/openssl/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/include -I/usr/local/opt/zlib/include -I/usr/local/opt/readline/include -I/usr/local/opt/readline/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/openssl/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/include -I/usr/local/opt/zlib/include -DPy_BUILD_CORE -c ./Modules/pwdmodule.c -o Modules/pwdmodule.o ./Modules/posixmodule.c:10344:5: warning: code will never be executed [-Wunreachable-code] Py_FatalError("abort() called from Python code didn't abort!"); ^~~~~~~~~~~~~ 1 warning generated. clang -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX.sdk/usr/include -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -I. -I./Include -I/usr/local/opt/readline/include -I/usr/local/opt/readline/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/openssl/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/include -I/usr/local/opt/zlib/include -I/usr/local/opt/readline/include -I/usr/local/opt/readline/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/openssl/include -I/Users/iwakirimasami/.pyenv/versions/3.6.1/include -I/usr/local/opt/zlib/include -DPy_BUILD_CORE -c ./Modules/_sre.c -o Modules/_sre.o 1 warning and 1 error generated. make: *** [Modules/posixmodule.o] Error 1 make: *** Waiting for unfinished jobs....

やったことはたくさんあって、何をやったかを覚えていないのですが、
どなたかご教授をお願い致します。

brew install python@3.6.1

もやりました。
すみませんが、よろしくお願い致します。

何度もすみません、Xcodeのversionを下げようとしましたが、
下げられなかったです。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

hoshi-takanori

2022/02/10 01:46

古い python は新しい macOS (や M1) に対応してなかったりするような…。
masamichan

2022/02/10 01:48

ちなみに、IntelのCPUを使っております。 ありがとうございます。
masamichan

2022/02/10 01:48

あー、MacOSを使っています。
quickquip

2022/02/10 02:02 編集

https://teratail.com/questions/371427#reply-503471 macOSとPythonマイナーバージョンの対応はこの回答で一通り調べているので参考にどうぞ。 (なんのために3.6系を入れたいのか? がないと回答しづらいところです)
masamichan

2022/02/10 05:01

quickquipさん、MacOSのversionどれも下げられないみたいです。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。